Subject: [Sip] I-D ACTION:draft-willis-sip-path-02.txt

From: [email-masked]
Date: Fri, 29 Mar 2002 07:02:51 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: SIP Extension for Registering Non-Adjacent Contacts
	Author(s)	: D. Willis
	Filename	: draft-willis-sip-path-02.txt
	Pages		: 10
	Date		: 28-Mar-02
	
The REGISTER function is used in a SIP system primarily to associate
a temporary contact address with an address-of-record.  This contact
is generally in the form of a URI, such as Contact:
&ltsip:[email-masked]> and is generally dynamic and
associated with the IP address or hostname of the SIP UA.  The
problem is that network topology may be that there are one or more
SIP proxies between the UA and the registrar, such that any message
from the user's home network to the registered UA must traverse these
proxies.  The REGISTER method itself does not give us a mechanism to
discover and record this sequence of proxies in the registrar for
future use.  This document defines an extension header, 'Path' which
provides such a mechanism.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-willis-sip-path-02.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-willis-sip-path-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-willis-sip-path-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Dean Willis" <[email-masked]>
Date: Mon, 1 Apr 2002 10:43:48 -0600

Hi all,

Note that in Minneapolis (after some airing of this draft), I received
several strong sugestions to change the proposed header name from "Path"
to "RegisterRecordRoute, short form "RRR". This appears to be related to
thefact that the main thing the draft does is define RecordRoute for
REGISTER operations.

My current plan is to include this change along with any other nits in
the next rev of the draft, and hopefully to proceed to WGLC from there
in time to include this material in the "Bundle 3" IETF last call set.

So please get any comments in ASAP -- I'd like to edit the next rev next
week.

--
Dean

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Friday, March 29, 2002 6:03 AM
> To: IETF-Announce:
> Cc: [email-masked]
> Subject: [Sip] I-D ACTION:draft-willis-sip-path-02.txt
> 
> 
> The REGISTER function is used in a SIP system primarily to 
> associate a temporary contact address with an 
> address-of-record.  This contact is generally in the form of 
> a URI, such as Contact: &ltsip:[email-masked]> and is 
> generally dynamic and associated with the IP address or 
> hostname of the SIP UA.  The problem is that network topology 
> may be that there are one or more SIP proxies between the UA 
> and the registrar, such that any message from the user's home 
> network to the registered UA must traverse these proxies.  
> The REGISTER method itself does not give us a mechanism to 
> discover and record this sequence of proxies in the registrar 
> for future use.  This document defines an extension header, 
> 'Path' which provides such a mechanism.
> 

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the
message.

Internet-Drafts are also available by anonymous FTP. Login with the
username "anonymous" and a password of your e-mail address. After
logging in, type "cd internet-drafts" and then
	"get draft-willis-sip-path-02.txt".

Send a message to:
	[email-masked].
In the body type:
	
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip